PipeWire: endpoint Struct Reference

PipeWire 0.3.34

Data Fields
endpoint Struct Reference

## Data Fields
struct spa_list | link
| link in impl endpoint_list More...
struct impl * | impl
struct pw_properties * | props
struct node * | node
struct spa_hook | listener
struct pw_client_endpoint * | client_endpoint
struct spa_hook | proxy_listener
struct spa_hook | client_endpoint_listener
struct pw_endpoint_info | info
struct spa_param_info | params [5]
struct endpoint * | monitor
unsigned int | use_ucm:1
snd_use_case_mgr_t * | ucm
struct spa_audio_info | format
struct spa_list | stream_list
struct sm_endpoint * | obj
uint32_t | id
enum pw_direction | direction
uint32_t | linked
uint32_t | client_id
int32_t | priority
uint32_t | type
char * | media
uint32_t | media_type
uint32_t | media_subtype
struct spa_audio_info_raw | format
uint64_t | plugged
unsigned int | exclusive:1
unsigned int | enabled:1
unsigned int | busy:1

## Field Documentation

## ◆ busy

unsigned int endpoint::busy

## ◆ client_endpoint

struct pw_client_endpoint * endpoint::client_endpoint

## ◆ client_endpoint_listener

struct spa_hook endpoint::client_endpoint_listener

## ◆ client_id

uint32_t endpoint::client_id

## ◆ direction

enum pw_direction endpoint::direction

## ◆ enabled

unsigned int endpoint::enabled

## ◆ exclusive

unsigned int endpoint::exclusive

## ◆ format [1/2]

struct spa_audio_info endpoint::format

## ◆ format [2/2]

struct spa_audio_info_raw endpoint::format

## ◆ id

uint32_t endpoint::id

## ◆ impl

struct impl * endpoint::impl

## ◆ info

struct pw_endpoint_info endpoint::info

## ◆ link

struct spa_list endpoint::link

link in impl endpoint_list

## ◆ linked

uint32_t endpoint::linked

## ◆ listener

struct spa_hook endpoint::listener

## ◆ media

char* endpoint::media

## ◆ media_subtype

uint32_t endpoint::media_subtype

## ◆ media_type

uint32_t endpoint::media_type

## ◆ monitor

struct endpoint * endpoint::monitor

## ◆ node

struct node * endpoint::node

## ◆ obj

struct sm_endpoint* endpoint::obj

## ◆ params

struct spa_param_info endpoint::params

## ◆ plugged

uint64_t endpoint::plugged

## ◆ priority

int32_t endpoint::priority

## ◆ props

struct pw_properties * endpoint::props

## ◆ proxy_listener

struct spa_hook endpoint::proxy_listener

## ◆ stream_list

struct spa_list endpoint::stream_list

## ◆ type

uint32_t endpoint::type

## ◆ ucm

snd_use_case_mgr_t* endpoint::ucm

## ◆ use_ucm

unsigned int endpoint::use_ucm

The documentation for this struct was generated from the following files:

- alsa-endpoint.c
- bluez-endpoint.c
- stream-endpoint.c
- policy-ep.c
- v4l2-endpoint.c